Bug 1303866 - Review Request: lz4-java - LZ4 compression for Java
Review Request: lz4-java - LZ4 compression for Java
Status: CLOSED DUPLICATE of bug 1270317
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 04:31 EST by Tomas Repik
Modified: 2016-02-08 18:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 04:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repik 2016-02-02 04:31:40 EST
Spec URL: https://trepik.fedorapeople.org/lz4-java.spec
SRPM URL: https://trepik.fedorapeople.org/lz4-java-1.3.0-1.fc23.src.rpm

Description: Provides access to two compression methods that both generate a valid LZ4 stream. First one is fast scan (LZ4) which has low memory footprint (~ 16 KB). It is very fast (fast scan with skipping heuristics in case the input looks in-compressible). The method also has a reasonable compression ratio (depending on the redundancy of the input). Second one is high compression (LZ4 HC) with medium memory footprint (~ 256 KB).It is rather slow (~ 10 times slower than LZ4). The method has a good compression ratio (depending on the size and the redundancy of the input). The streams produced by those two compression algorithms use the same compression format, are very fast to decompress and can be decompressed by the same decompressor instance.

Fedora Account System Username: trepik
Comment 1 gil cattaneo 2016-02-02 13:45:52 EST
Hi.
This bug is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1270317
Comment 2 gil cattaneo 2016-02-03 11:36:45 EST
Please, close this bug if you want import/use my work
Comment 3 Tomas Repik 2016-02-08 04:39:58 EST

*** This bug has been marked as a duplicate of bug 1270317 ***

Note You need to log in before you can comment on or make changes to this bug.